Page MenuHomePhabricator

[PowerPC] Fix %llvm.ppc.altivec.vc* lowering
ClosedPublic

Authored by vddvss on Dec 6 2019, 11:35 AM.

Details

Reviewers
hfinkel
nemanjai
Jim
Group Reviewers
Restricted Project
Commits
rG7e0fd77645cf: [PowerPC] Fix %llvm.ppc.altivec.vc* lowering
Summary

r372285 changed LLVM to use a TargetConstant for parameters of intrinsics that are required to be immediates.

Since that commit, use of %llvm.ppc.altivec.vc{fsx,fux,tsxs,tuxs} intrinsics has not worked, and resulted in a LLVM ERROR: Cannot select: intrinsic %llvm.ppc.altivec.vc* error. The intrinsics' TableGen definitions matched on imm instead of timm.

This commit updates those definitions to use timm.

Fixes: https://llvm.org/PR44239

Diff Detail

Event Timeline

vddvss created this revision.Dec 6 2019, 11:35 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 6 2019, 11:35 AM
Jim added a subscriber: Jim.Dec 12 2019, 9:29 PM

Link http://llvm.org/44239 is not available.

qiucf edited the summary of this revision. (Show Details)Dec 12 2019, 9:37 PM
Jim accepted this revision.Dec 12 2019, 10:42 PM

LGTM, I have verified it.

This revision is now accepted and ready to land.Dec 12 2019, 10:42 PM

Oops, sorry about the typo in the URL. When ready, could someone please land for me? Thanks!

Jim added a comment.Dec 15 2019, 6:22 PM

I have committed this patch for you.
If you are interested in obtaining the commit right. you can refer to https://llvm.org/docs/DeveloperPolicy.html#obtaining-commit-access.

This revision was automatically updated to reflect the committed changes.